## octave-optim 1.0.3

=== DESCRIPTION ===
Name: Optim
Version: 1.0.3
Date: 2008-05-07
Author: Various Authors
Maintainer: The Octave Community
Title: Optimzation.
Description: Unconstrained Non-linear Optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

=== doc/Makefile ===
sinclude ../../../Makeconf

TEX = mintoolkit.tex  optim-mini-howto-2.tex
PDF = $(patsubst %.tex,%.pdf,$(TEX))
HTML = $(patsubst %.tex,html/%/index.html,$(TEX))

all : $(PDF) html

.PHONY: html
html : $(HTML)
	echo '<html><body>' > html/index.html; \
	echo '<p><a href="mintoolkit/index.html">mintoolkit</a></p>' >> html/index.html; \
	echo '<p><a href="optim-mini-howto-2/index.html">optim-mini-howto-2</a></p>' >> html/index.html; \
	echo '</body></html>' >> html/index.html

%.pdf : %.tex
	latex $< > /dev/null 2>&1
	latex $< > /dev/null 2>&1
	$(DVIPDF) $(@:.pdf=.dvi)

# Note verbosity=0 as well as making latex2html quieter, has the side-effect
# of not including a url to the raw text, which it'll get wrong
html/%/index.html : %.tex
	latex2html -verbosity=0 -local_icons $<
	if [ ! -e "html" ]; then \
	  mkdir html; \
	fi; \
	mv -f $(patsubst html/%/index.html,%,$@) html

clean:
	rm -fr $(patsubst %.tex,%,$(TEX)) html *.log
	rm -f $(PDF) *~
	rm -f $(patsubst %.tex,%.aux,$(TEX))
	rm -f $(patsubst %.tex,%.out,$(TEX))
	rm -f $(patsubst %.tex,%.dvi,$(TEX))

=== src/Makefile ===
all: leval.oct __bfgsmin.oct numgradient.oct numhessian.oct samin.oct

%.oct: %.cc
	mkoctfile -s $<

clean:
	-rm *.o core octave-core *.oct *~

## octave-optim 1.0.5

=== DESCRIPTION ===
Name: Optim
Version: 1.0.5
Date: 2008-08-23
Author: Various Authors
Maintainer: The Octave Community
Title: Optimzation.
Description: Unconstrained Non-linear Optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later and GFDL
Url: http://octave.sf.net

## octave-optim 1.0.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Optim
-Version: 1.0.5
-Date: 2008-08-23
+Version: 1.0.6
+Date: 2009-05-18
 Author: Various Authors
 Maintainer: The Octave Community
 Title: Optimzation.

## octave-optim 1.0.12

=== DESCRIPTION ===
Name: Optim
Version: 1.0.12
Date: 2009-09-21
Author: Various Authors
Maintainer: The Octave Community
Title: Optimzation.
Description: Non-linear optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later and GFDL
Url: http://octave.sf.net

=== doc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 sinclude ../../../Makeconf
 
-TEX = mintoolkit.tex  optim-mini-howto-2.tex
+TEX = optim-mini-howto-2.tex
 PDF = $(patsubst %.tex,%.pdf,$(TEX))
 HTML = $(patsubst %.tex,html/%/index.html,$(TEX))
 
@@ -9,7 +9,6 @@
 .PHONY: html
 html : $(HTML)
 	echo '<html><body>' > html/index.html; \
-	echo '<p><a href="mintoolkit/index.html">mintoolkit</a></p>' >> html/index.html; \
 	echo '<p><a href="optim-mini-howto-2/index.html">optim-mini-howto-2</a></p>' >> html/index.html; \
 	echo '</body></html>' >> html/index.html

=== debian/changelog ===
octave-optim (1.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571916)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4, no changes necessary
  * Dropped patches (applied upstream):
    - remove_fzero

 -- Thomas Weber <tweber@debian.org>  Sat, 15 May 2010 00:54:06 +0200

octave-optim (1.0.6-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2
  
  [ Thomas Weber ]
  * New upstream release
  * New patch: remove_fzero: Remove fzero.m, it is included in Octave 3.2 and
    uses removed functions (fsolve_options)
  * Use debian/octave-optim.docs for installation of documentation

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 31 Dec 2009 00:05:05 +0100

octave-optim (1.0.5-1) unstable; urgency=low

  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/pdfsources.diff: Add description
  * debian/rules: Removed unneeded documentation source files, which get
    wrongly installed in /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 18:32:47 +0200

octave-optim (1.0.4-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable
  * debian/control, debian/rules: Add quilt support. The already included
    patch pdfsources.diff is thus really used.
  * debian/rules: Remove code for removing upstream's .svn directories. The
    new tarballs are clean

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 08 Apr 2009 23:04:45 +0200

octave-optim (1.0.4-1) experimental; urgency=low

  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 12 Dec 2008 01:00:55 +0100

octave-optim (1.0.3-3) unstable; urgency=low

  * debian/copyright: Add reference to GFDL file in
    /usr/share/common-licenses/
  * Reuploaded to unstable, for NEW queue processing (again, closes:
    #468515)

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Jun 2008 10:24:12 +0200

octave-optim (1.0.3-2) unstable; urgency=low

  * debian/copyright: Add licensing conditions for doc/mintoolkit.lyx and
    doc/optim-mini-howto-2.lyx (finally, closes: #468515)
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Jun 2008 16:25:09 +0200

octave-optim (1.0.3-1) unstable; urgency=low

  * The source files mintoolkit.lyx, mintoolkit.tex, and
    optim-mini-howto-2.tex of the PDF documentation distributed with the
    package are now included in the upstream tarball.  This makes the
    package DFSG-compliant (really, closes: #468515)
  * debian/rules: Remove extraneous .svn directory installed in
   /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 15:49:57 +0000

octave-optim (1.0.2-1) unstable; urgency=low

  * Initial release (closes: #468515)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sun, 17 Feb 2008 16:33:34 +0100

=== debian/control ===
Source: octave-optim
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/optim
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git

Package: octave-optim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: unconstrained non-linear optimization toolkit for Octave
 Unconstrained Non-linear Optimization toolkit for Octave, a numerical
 computation software. Included are functions to do linear least
 square fitting on data points, nonlinear regression using the
 Levenberg-Marquardt algorithm, Prony's method for non-linear exponent
 fitting and many more.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

#pkg = octave-optim
#wrongdocs = Makefile optim-mini-howto-2.lyx optim-mini-howto-2.tex

#install/$(pkg)::
#	( cd debian/$(pkg)/usr/share/doc/$(pkg) ;			\
#	  ls -al )
#	  for f in $(wrondocs) ; do [ -f $$f ] && rm $$f ; done ;	\
#	  [ -d figures ] && rm -rf figures )

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/optim-([\d.]+)\.tar\.gz\?download

## octave-optim 1.0.16

=== DESCRIPTION ===
Name: Optim
Version: 1.0.16
Date: 2011-02-25
Author: Various Authors
Maintainer: The Octave Community
Title: Optimzation.
Description: Non-linear optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.11), struct (>= 1.0.9)
Autoload: yes
License: GPL version 2 or later and GFDL
Url: http://octave.sf.net

=== Makefile ===
sinclude ../../Makeconf


PKG_FILES = COPYING DESCRIPTION INDEX $(wildcard src/*) \
	$(wildcard inst/*) doc/*.pdf doc/*.tex \
	doc/*.lyx doc/Makefile $(wildcard doc/figures/*)
SUBDIRS = doc/

.PHONY: $(SUBDIRS)

pre-pkg::
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir all; \
	done

clean:
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir $(MAKECMDGOALS); \
	done

=== src/Makefile ===
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

all: __bfgsmin.oct numgradient.oct numhessian.oct samin.oct

%.oct: %.cc
	$(MKOCTFILE) -s $<

clean:
	-rm *.o core octave-core *.oct *~

=== debian/changelog ===
octave-optim (1.0.16-1) unstable; urgency=low

  [ Iulian Udrea ]
  * New upstream release.
  * debian/control:
    - Add Iulian Udrea <iulian@linux.com> to Uploaders.
    - Bump Standards-Version to 3.9.1; no changes required.

 -- Thomas Weber <tweber@debian.org>  Sat, 23 Apr 2011 15:36:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/optim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git

## octave-optim 1.0.17

=== DESCRIPTION ===
Name: Optim
Version: 1.0.17
Date: 2011-11-01
Author: Various Authors
Maintainer: The Octave Community
Title: Optimzation.
Description: Non-linear optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.10), struct (>= 1.0.9)
Autoload: yes
License: GPL version 2 or later and GFDL
Url: http://octave.sf.net

=== src/Makefile ===
ifndef MKOCTFILE
MKOCTFILE := mkoctfile
endif

all: __bfgsmin.oct numgradient.oct numhessian.oct samin.oct __disna_optim__.oct

%.oct: %.cc
	$(MKOCTFILE) -s $<

clean:
	-rm *.o core octave-core *.oct *~

=== debian/changelog ===
octave-optim (1.0.17-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.0.17
  * Bump to debhelper compat level 8
  * Bump to Standards-Version 3.9.2, no changes needed
  * Add myself to Uploaders
  * debian/copyright: reflect upstream changes, update to latest DEP5
  * debian/patches/pdfsources.diff: remove obsolete patch
  * debian/octave-optim.docs: include graphics that come with the documentation
  * debian/control: suggest lyx (for reading the documentation)
  * debian/rules: do not compress LyX and associated EPS files

 -- Thomas Weber <tweber@debian.org>  Sat, 03 Dec 2011 16:46:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>
+Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), cdbs, octave-pkg-dev (>= 0.7.0)
+Standards-Version: 3.9.2
 Homepage: http://octave.sourceforge.net/optim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git
@@ -13,6 +14,7 @@
 Package: octave-optim
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
+Suggests: lyx
 Description: unconstrained non-linear optimization toolkit for Octave
  Unconstrained Non-linear Optimization toolkit for Octave, a numerical
  computation software. Included are functions to do linear least

## octave-optim 1.2.0

=== DESCRIPTION ===
Name: Optim
Version: 1.2.0
Date: 2012-06-12
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Optimization.
Description: Non-linear optimization toolkit.
Depends: octave (>= 2.9.7), miscellaneous (>= 1.0.10), struct (>= 1.0.10)
Autoload: no
License: GFDL, GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-optim (1.2.0-1) unstable; urgency=low

  * New upstream release 1.2.0
  * Help Launchpad along, the current package should register its files
    properly (LP: #662336)
  * Similarly, current Octave version ship fminbnd.m (LP: #890895)

 -- Thomas Weber <tweber@debian.org>  Tue, 12 Jun 2012 21:41:32 +0200

octave-optim (1.1.0-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.0
  * autoload-yes.patch: new patch
  * debian/copyright: reflect upstream changes
  * Add Lintian overrides for false positives on hardening flags

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 27 May 2012 21:48:01 +0200

octave-optim (1.0.17-2) unstable; urgency=low

  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
    (Closes: #661123)
  * debian/copyright: update to machine-readable format 1.0
  * Remove Iulian Udrea from Uploaders, with his consent

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 12 Mar 2012 19:19:48 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>, Iulian Udrea <iulian@linux.com>,
+Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cdbs, octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/optim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git

## octave-optim 1.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Optim
-Version: 1.2.0
-Date: 2012-06-12
+Version: 1.2.2
+Date: 2012-11-04
 Author: various authors
 Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
 Title: Optimization.

=== debian/changelog ===
octave-optim (1.2.2-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.2
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 12 Nov 2012 12:20:22 +0100

octave-optim (1.2.1-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.1

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 17 Sep 2012 12:33:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/optim
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git

## octave-optim 1.3.0

=== DESCRIPTION ===
Name: Optim
Version: 1.3.0
Date: 2014-01-07
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Optimization.
Description: Non-linear optimization toolkit.
Depends: octave (>= 3.4.0), miscellaneous (>= 1.0.10), struct (>= 1.0.10), parallel (>= 2.0.5)
Autoload: no
License: GFDL, GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== doc/Makefile ===
--- 
+++ 
@@ -13,18 +13,20 @@
 	echo '</body></html>' >> html/index.html
 
 %.pdf : %.tex
-	latex $< > /dev/null 2>&1
-	latex $< > /dev/null 2>&1
+	latex  -interaction=nonstopmode $< > /dev/null 2>&1
+	latex  -interaction=nonstopmode $< > /dev/null 2>&1
 	$(DVIPDF) $(@:.pdf=.dvi)
 
 # Note verbosity=0 as well as making latex2html quieter, has the side-effect
 # of not including a url to the raw text, which it'll get wrong
 html/%/index.html : %.tex
-	latex2html -verbosity=0 -local_icons $<
-	if [ ! -e "html" ]; then \
-	  mkdir html; \
-	fi; \
-	mv -f $(patsubst html/%/index.html,%,$@) html
+	if [ -e `which latex2html` ] ; then \
+		latex2html -verbosity=0 -local_icons $< ; \
+		if [ ! -e "html" ]; then \
+		  mkdir html; \
+		fi; \
+		mv -f $(patsubst html/%/index.html,%,$@) html ; \
+	fi
 
 clean:
 	rm -fr $(patsubst %.tex,%,$(TEX)) html *.log

=== src/Makefile ===
MKOCTFILE ?= mkoctfile

ifndef LAPACK_LIBS
LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
endif
OCTAVE_LAPACK_LIBS := $(shell $(MKOCTFILE) -p LAPACK_LIBS)
# reported necessary for Apple's VecLib framework by Carlo de Falco
# <carlo.defalco@gmail.com>
ifndef BLAS_LIBS
BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
endif
OCTAVE_BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)

# Passing LFLAGS, supplemented with LAPACK_LIBS and BLAS_LIBS, in the
# environment to mkoctfile is prefered over passing LAPACK_LIBS and
# BLAS_LIBS in mkoctfiles commandline due to mkoctfiles difficulties
# with non-standard flags on some systems (e.g. -framework ... on
# Apple)
LFLAGS := $(shell $(MKOCTFILE) -p LFLAGS)
OCTAVE_LFLAGS := $(LFLAGS)
LFLAGS += $(LAPACK_LIBS)
LFLAGS += $(BLAS_LIBS)
OCTAVE_LFLAGS += $(OCTAVE_LAPACK_LIBS)
OCTAVE_LFLAGS += $(OCTAVE_BLAS_LIBS)

all: __bfgsmin.oct numgradient.oct numhessian.oct samin.oct __disna_optim__.oct

# __disna_optim__ should be linked to the same Lapack library as used by Octave
__disna_optim__.oct: __disna_optim__.cc
	LFLAGS="$(OCTAVE_LFLAGS)" $(MKOCTFILE) -s __disna_optim__.cc

%.oct: %.cc
	LFLAGS="$(LFLAGS)" $(MKOCTFILE) -s $<

clean:
	$(RM) *.o core octave-core *.oct *~

=== debian/changelog ===
octave-optim (1.3.0-1) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * Imported Upstream version 1.3.0
  * Refresh patch autoload-yes.patch for new upstream release
  * Drop Lintian override for hardening-no-fortify-functions

 -- Thomas Weber <tweber@debian.org>  Fri, 21 Feb 2014 16:41:22 +0100

octave-optim (1.2.2-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 May 2013 15:11:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Thomas Weber <tweber@debian.org>,
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/optim
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-optim.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-optim.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-optim.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-optim.git
 
 Package: octave-optim
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_COMPRESS_EXCLUDE_ALL = .lyx .eps .eps2

include /usr/share/cdbs/1/class/octave-pkg.mk

## octave-optim 1.4.0

=== DESCRIPTION ===
Name: Optim
Version: 1.4.0
Date: 2014-07-28
Author: various authors
Maintainer: Octave-Forge community <maintainers@octave.org>
Title: Optimization.
Description: Non-linear optimization toolkit.
Depends: octave (>= 3.6.0), struct (>= 1.0.10)
Autoload: no
License: GFDL, GPLv3+, modified BSD, public domain
Url: http://octave.sf.net

=== debian/changelog ===
octave-optim (1.4.0-1) unstable; urgency=medium

  * Imported Upstream version 1.4.0
  * debian/copyright: reflect upstream changes.
  * Remove obsolete lintian overrides.
  * texinfo5.patch: new patch, fixes doc build failure with Texinfo 5.
  * Ship HTML documentation and register it into doc-base.
  * Handle new info documentation.
    - install it under /usr/share/info rather than package directory.
    - info-file-path.patch: indicate the new path to optim_doc().
    - add-info-dir.patch: add @direntry and @dircategory to the info file.
  * Remove Thomas Weber from Uploaders, add Rafael Laboissiere.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Aug 2014 19:11:43 +0200

octave-optim (1.3.1-1) unstable; urgency=medium

  * Imported Upstream version 1.3.1

 -- Thomas Weber <tweber@debian.org>  Mon, 02 Jun 2014 17:01:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+Uploaders: Sébastien Villemot <sebastien@debian.org>,
+           Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
 Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/optim

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,10 @@
 DEB_COMPRESS_EXCLUDE_ALL = .lyx .eps .eps2
 
 include /usr/share/cdbs/1/class/octave-pkg.mk
+
+# Recompile the info file (it has been cleaned by the pkg install), and then
+# install it in the system-wide directory (after renaming it).
+install/octave-optim::
+	make -C src ../doc/optim.info
+	mkdir -p debian/octave-optim/usr/share/info/
+	cp doc/optim.info debian/octave-optim/usr/share/info/octave-optim.info

## octave-optim 1.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Optim
-Version: 1.4.0
-Date: 2014-07-28
+Version: 1.4.1
+Date: 2015-03-10
 Author: various authors
 Maintainer: Octave-Forge community <maintainers@octave.org>
 Title: Optimization.

=== src/Makefile ===
--- 
+++ 
@@ -11,6 +11,10 @@
 endif
 OCTAVE_BLAS_LIBS := $(shell $(MKOCTFILE) -p BLAS_LIBS)
 
+CCFILES := $(wildcard *.cc)
+DSFILES := $(addsuffix .docstrings,$(CCFILES))
+MFILES := $(wildcard *.m) $(wildcard ../inst/*.m)
+
 # Passing LFLAGS, supplemented with LAPACK_LIBS and BLAS_LIBS, in the
 # environment to mkoctfile is prefered over passing LAPACK_LIBS and
 # BLAS_LIBS in mkoctfiles commandline due to mkoctfiles difficulties
@@ -23,7 +27,14 @@
 OCTAVE_LFLAGS += $(OCTAVE_LAPACK_LIBS)
 OCTAVE_LFLAGS += $(OCTAVE_BLAS_LIBS)
 
-all: __bfgsmin.oct numgradient.oct numhessian.oct samin.oct __disna_optim__.oct
+.PHONY: all clean doc release
+
+INFOFILE := ../doc/optim.info
+TEXIFILE := $(addsuffix .texi,$(basename $(INFOFILE)))
+TXIFILE := $(addsuffix .txi,$(basename $(INFOFILE)))
+OCTFILES := __bfgsmin.oct numgradient.oct numhessian.oct samin.oct __disna_optim__.oct
+
+all: doc $(OCTFILES)
 
 # __disna_optim__ should be linked to the same Lapack library as used by Octave
 __disna_optim__.oct: __disna_optim__.cc
@@ -32,5 +43,41 @@
 %.oct: %.cc
 	LFLAGS="$(LFLAGS)" $(MKOCTFILE) -s $<
 
+# This target should be made by the maintainer for a release. This
+# should be done automatically by `./bootstrap'.
+doc: $(INFOFILE)
+
+$(INFOFILE): $(TEXIFILE)
+	makeinfo $(TEXIFILE) -o $(INFOFILE)
+
+$(TEXIFILE): $(TXIFILE) MFDOCSTRINGS $(DSFILES) munge-texi.pl
+	./munge-texi.pl MFDOCSTRINGS $(DSFILES) < $(TXIFILE) > $(TEXIFILE)
+
+MFDOCSTRINGS: $(MFILES) mkdoc.pl
+	./mkdoc.pl $(MFILES) > MFDOCSTRINGS
+
+# take long CPP macro names, unlikely to be present in package code
+# (which is checked) or to be defined by Octave (which can't be
+# checked)
+RDEFUN_DLD := DEFUN_DLD_REPLACEMENT_FOR_PACKAGE_DOCS
+RDEFUNX_DLD := DEFUNX_DLD_REPLACEMENT_FOR_PACKAGE_DOCS
+%.cc.docstrings: %.ii
+	(echo -n "### This file is generated automatically from the\n### corresponding .cc file by a Makefile rule.\n\n"; sed -e '/.*$(RDEFUN_DLD)/!D' -e 's/.*$(RDEFUN_DLD)(\([^,]\+\),"\(.\+\)\(\\n\)*")$$/\x1D\1\n@c \1 $(addsuffix .cc,$(basename $<))\n\2/' -e 's/\\n/\n/g' $<) > $@
+# Explanation of the command after the checks: Macro names are changed
+# by `sed' so that a different definition can be given to them on the
+# `cpp' commandline. After running the `cpp' command, one can be sure
+# that there are not more than one `$(RDEFUN_DLD)' resulting from a
+# DEFUN(X)_DLD invocation in the original code at one line, that every
+# occurance of `$(RDEFUN_DLD)' indeed corresponds to an original macro
+# invocation, and not to `DEFUN(X)_DLD' within a comment or a string,
+# and that we have all necessary information within one line of
+# text. The package code is expected to give the function
+# documentation as a string constant directly in the macro invocation,
+# as is normally done.
+%.ii: %.cc
+	if grep -q $(RDEFUN_DLD) $<; then echo "The string '$(RDEFUN_DLD)' must not be present in source code, but is in $<."; exit 1; fi
+	if grep -q $(RDEFUNX_DLD) $<; then echo "The string '$(RDEFUNX_DLD)' must not be present in source code, but is in $<."; exit 1; fi
+	sed -e s/DEFUN_DLD/$(RDEFUN_DLD)/g -e s/DEFUNX_DLD/$(RDEFUNX_DLD)/g $< | $(CPP) `$(MKOCTFILE) -p INCFLAGS` -x c++ -iquote '.' -D'$(RDEFUN_DLD)(name,args,nargout,doc)=$(RDEFUN_DLD)(name,doc)' -D'$(RDEFUNX_DLD)(name,fname,gname,args,nargout,doc)=$(RDEFUN_DLD)(name,doc)' - > $@
+
 clean:
-	$(RM) *.o core octave-core *.oct *~
+	$(RM) *.o octave-core *.oct *.cc.docstrings MFDOCSTRINGS $(INFOFILE) $(TEXIFILE) *~

=== debian/changelog ===
octave-optim (1.4.1-2) unstable; urgency=medium

  * d/octave-optim.doc-base:
    + Add author and abstract fields
    + Add format paragraph for the info file
  * Remove lyx from Suggests.
    The PDF file built from the LyX source of the Mini-HowTo is now
    shipped with the package. (Closes: #807784)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 16 Dec 2015 10:32:32 +0100

octave-optim (1.4.1-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.4.1
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * d/p/texinfo5.patch: Drop patch (applied upstream)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
+ texlive-latex-base, texlive-font-utils, texlive-fonts-recommended,
+ ghostscript, texlive-fonts-extra
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/optim
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-optim.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-optim.git
@@ -13,7 +15,6 @@
 Package: octave-optim
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
-Suggests: lyx
 Description: unconstrained non-linear optimization toolkit for Octave
  Unconstrained Non-linear Optimization toolkit for Octave, a numerical
  computation software. Included are functions to do linear least

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

# Build the HowTo documentation in PDF form from the LyX source
build/octave-optim::
	epstopdf doc/figures/2D_slice-3.eps2
	(cd doc ; for i in 1 2 ; do pdflatex optim-mini-howto-2.tex ; done)

# Recompile the info file (it has been cleaned by the pkg install), and then
# install it in the system-wide directory (after renaming it).
install/octave-optim::
	make -C src ../doc/optim.info
	mkdir -p debian/octave-optim/usr/share/info/
	cp doc/optim.info debian/octave-optim/usr/share/info/octave-optim.info

clean::
	rm -f doc/figures/*.pdf doc/*.aux doc/*.log doc/*.pdf

## octave-optim 1.5.1

=== debian/changelog ===
octave-optim (1.5.1-1build1) yakkety; urgency=medium

  * No-change rebuild against liboctave3v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jun 2016 18:48:54 +0000

octave-optim (1.5.1-1) unstable; urgency=medium

  * Imported Upstream version 1.5.1
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 03 May 2016 17:46:01 +0200

octave-optim (1.5.0-1) unstable; urgency=medium

  * Imported Upstream version 1.5.0
  * d/copyright: Reflect upstream changes
  * d/p/add-info-dir.patch: Refresh for the new upstream version
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7 (no changes needed)
    + Add octave-struct to Build-Depends
  * Drop HowTo documentation (removed upstream)
  * d/rules: Ensure that info file is built

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 21 Mar 2016 10:13:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: octave-optim
 Section: math
 Priority: optional
-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissiere <rafael@laboissiere.net>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
  texlive-latex-base, texlive-font-utils, texlive-fonts-recommended,
- ghostscript, texlive-fonts-extra
-Standards-Version: 3.9.6
+ ghostscript, texlive-fonts-extra, octave-struct
+Standards-Version: 3.9.8
 Homepage: http://octave.sourceforge.net/optim
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-optim.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-optim.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-optim.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-optim.git
 
 Package: octave-optim
 Architecture: any

## octave-optim 1.5.2

=== debian/changelog ===
octave-optim (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * d/copyright: reflect upstream changes.
  * Bump debhelper compat level to 10.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 07 Oct 2016 17:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: octave-optim
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
+Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@laboissiere.net>
-Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0),
+           Rafael Laboissiere <rafael@debian.org>
+Build-Depends: debhelper (>= 10), cdbs, octave-pkg-dev (>= 1.0.0),
  texlive-latex-base, texlive-font-utils, texlive-fonts-recommended,
  ghostscript, texlive-fonts-extra, octave-struct
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

# Recompile the info file (it has been cleaned by the pkg install), and then
# install it in the system-wide directory (after renaming it).
install/octave-optim::
	( cd src ; ./configure ; make doc )
	mkdir -p debian/octave-optim/usr/share/info/
	cp doc/optim.info debian/octave-optim/usr/share/info/octave-optim.info

clean::
	rm -f src/config.status src/config.h src/config.log src/Makefile	\
	      doc/optim.texi doc/optim.info

=== debian/watch ===
version=3
http://sf.net/octave/optim-(.+)\.tar\.gz

## octave-optim 1.5.3

=== debian/changelog ===
octave-optim (1.5.3-2) unstable; urgency=medium

  * d/control:
    + Build-depend on texlive
    + Bump Standards-Version to 4.3.0 (no changes needed)
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:57:14 -0200

octave-optim (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * d/copyright: Refresh for new upstream release
  * d//reproducible-nlinfit-unit-test.patch: Drop patch (applied upstream)
  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.2.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 11 Aug 2018 07:50:31 -0300

octave-optim (1.5.2-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * Add dependency on octave-statistics
    optim uses tinv() in polyconf() and exprnd() in the tests for nlinfit().
    These two functions are no longer in Octave core since 4.4, and have moved
    to the statistics package.
    + depends-on-statistics.patch: new patch
    + d/control: add B-D on octave-statistics

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 12 Jun 2018 20:30:54 +0200

octave-optim (1.5.2-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:36:59 -0200

octave-optim (1.5.2-3) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:21 -0200

octave-optim (1.5.2-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * d/control:
    + Use cgit instead of gitweb in Vcs-Browser URL
    + Bump Standards-Version to 4.1.0 (no changes needed)
    + Add Testsuite field
  * d/p/reproducible-nlinfit-unit-test.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 26 Sep 2017 12:31:44 -0300

=== debian/control ===
Source: octave-optim
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave,
               texlive,
               ghostscript,
               octave-struct,
               octave-statistics
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/optim/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-optim.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-optim
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-optim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: unconstrained non-linear optimization toolkit for Octave
 Unconstrained Non-linear Optimization toolkit for Octave, a numerical
 computation software. Included are functions to do linear least
 square fitting on data points, nonlinear regression using the
 Levenberg-Marquardt algorithm, Prony's method for non-linear exponent
 fitting and many more.
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-optim 1.6.0

=== Makefile ===
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2017 Julien Bect <jbect@users.sf.net>
## Copyright 2017 Olaf Till <i7tiol@t-online.de>
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Some basic tools (can be overriden using environment variables)
SED ?= sed
TAR ?= tar
GREP ?= grep
CUT ?= cut
TR ?= tr

## Note the use of ':=' (immediate set) and not just '=' (lazy set).
## http://stackoverflow.com/a/448939/1609556
package := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
version := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")

## These are the paths that will be created for the releases.
target_dir       := target
release_dir      := $(target_dir)/$(package)-$(version)
release_tarball  := $(target_dir)/$(package)-$(version).tar.gz
html_dir         := $(target_dir)/$(package)-html
html_tarball     := $(target_dir)/$(package)-html.tar.gz
## Using $(realpath ...) avoids problems with symlinks due to bug
## #50994 in Octaves scripts/pkg/private/install.m.  But at least the
## release directory above is needed in the relative form, for 'git
## archive --format=tar --prefix=$(release_dir).
real_target_dir  := $(realpath .)/$(target_dir)
installation_dir := $(real_target_dir)/.installation
package_list     := $(installation_dir)/.octave_packages
install_stamp    := $(installation_dir)/.install_stamp

## These can be set by environment variables which allow to easily
## test with different Octave versions.
ifndef OCTAVE
OCTAVE := octave
endif
OCTAVE := $(OCTAVE) --no-gui --silent --norc
MKOCTFILE ?= mkoctfile

## Command used to set permissions before creating tarballs
FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
endif


## .PHONY indicates targets that are not filenames
## (https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html)
.PHONY: help

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist    - Create $(release_tarball) for release."
	@echo "   html    - Create $(html_tarball) for release."
	@echo "   release - Create both of the above and show md5sums."
	@echo "   install - Install the package in $(installation_dir), where it is not visible in a normal Octave session."
	@echo "   check   - Execute package tests."
	@echo "   doctest - Test the help texts with the doctest package."
	@echo "   run     - Run Octave with the package installed in $(installation_dir) in the path."
	@echo "   clean   - Remove everything made with this Makefile."


##
## Recipes for release tarballs (package + html)
##

.PHONY: release dist html clean-tarballs clean-unpacked-release

## To make a release, build the distribution and html tarballs.
release: dist html
	md5sum $(release_tarball) $(html_tarball)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and note the changeset the release corresponds to"

## dist and html targets are only PHONY/alias targets to the release
## and html tarballs.
dist: $(release_tarball)
html: $(html_tarball)

## An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	$(TAR) -c -f - --posix -C "$(target_dir)/" "$(notdir $<)" | gzip -9n > "$@"

clean-tarballs:
	@echo "## Cleaning release tarballs (package + html)..."
	-$(RM) $(release_tarball) $(html_tarball)
	@echo

## Create the unpacked package.
##
## Notes:
##    * having ".hg/dirstate" (or ".git/index") as a prerequesite means it is
##      only rebuilt if we are at a different commit.
##    * the variable RM usually defaults to "rm -f"
##    * having this recipe separate from the one that makes the tarball
##      makes it easy to have packages in alternative formats (such as zip)
##    * note that if a commands needs to be run in a specific directory,
##      the command to "cd" needs to be on the same line.  Each line restores
##      the original working directory.
$(release_dir): $(release_dir_dep)
	-$(RM) -r "$@"
ifeq (${vcs},hg)
	hg archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	git archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
## Don't fall back to run the supposed necessary contents of
## 'bootstrap' here. Users are better off if they provide
## 'bootstrap'. Administrators, checking build reproducibility, can
## put in the missing 'bootstrap' file if they feel they know its
## necessary contents.
ifneq (,$(wildcard src/bootstrap))
	cd "$@/src" && ./bootstrap && $(RM) -r "autom4te.cache"
endif
## Uncomment this if your src/Makefile.in has these targets for
## pre-building something for the release (e.g. documentation).
	cd "$@/src" && ./configure && $(MAKE) prebuild && \
	  $(MAKE) distclean && $(RM) Makefile
##
	${FIX_PERMISSIONS} "$@"

run_in_place = $(OCTAVE) --eval ' pkg ("local_list", "$(package_list)"); ' \
                         --eval ' pkg ("load", "$(package)"); '

# html_options = --eval 'options = get_html_options ("octave-forge");'
## Uncomment this for package documentation.
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(package).texi";'
$(html_dir): $(install_stamp)
	$(RM) -r "$@";
	$(run_in_place)                    \
        --eval ' pkg load generate_html; ' \
	$(html_options)                    \
        --eval ' generate_package_html ("$(package)", "$@", options); ';
	$(FIX_PERMISSIONS) "$@";

clean-unpacked-release:
	@echo "## Cleaning unpacked release tarballs (package + html)..."
	-$(RM) -r $(release_dir) $(html_dir)
	@echo

##
## Recipes for installing the package.
##

.PHONY: install clean-install

octave_install_commands = \
' llist_path = pkg ("local_list"); \
  mkdir ("$(installation_dir)"); \
  load (llist_path); \
  local_packages(cellfun (@ (x) strcmp ("$(package)", x.name), local_packages)) = []; \
  save ("$(package_list)", "local_packages"); \
  pkg ("local_list", "$(package_list)"); \
  pkg ("prefix", "$(installation_dir)", "$(installation_dir)"); \
  pkg ("install", "-local", "-verbose", "$(release_tarball)"); '

## Install unconditionally. Maybe useful for testing installation with
## different versions of Octave.
install: $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

## Install only if installation (under target/...) is not current.
$(install_stamp): $(release_tarball)
	@echo "Installing package under $(installation_dir) ..."
	$(OCTAVE) --eval $(octave_install_commands)
	touch $(install_stamp)

clean-install:
	@echo "## Cleaning installation under $(installation_dir) ..."
	-$(RM) -r $(installation_dir)
	@echo


##
## Recipes for testing purposes
##

.PHONY: run doctest check

## Start an Octave session with the package directories on the path for
## interactice test of development sources.
run: $(install_stamp)
	$(run_in_place) --persist

## Test example blocks in the documentation.  Needs doctest package
##  https://octave.sourceforge.io/doctest/index.html
doctest: $(install_stamp)
	$(run_in_place) --eval 'pkg load doctest;'                                                          \
	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"


## Test package.
octave_test_commands = \
' args = {"inst", "src"}; \
  args(cellfun (@ (x) isempty (a = stat (x)) || ! S_ISDIR (a.mode), args)) = []; \
  if (isempty (args)) error ("no \"inst\" or \"src\" directory"); exit (1); \
    else cellfun(@runtests, args); endif '
check: $(install_stamp)
	$(run_in_place) --eval $(octave_test_commands)


##
## CLEAN
##

.PHONY: clean

clean: clean-tarballs clean-unpacked-release clean-install
	@echo "## Removing target directory (if empty)..."
	-rmdir $(target_dir)
	@echo
	@echo "## Cleaning done"
	@echo

=== debian/changelog ===
octave-optim (1.6.0-6) unstable; urgency=medium

  * octave6.patch: new patch, fixes FTBFS against octave 6 (Closes: #977010)
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Dec 2020 10:29:19 +0100

octave-optim (1.6.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-optim: Add Multi-Arch: same.

 -- Rafael Laboissière <rafael@debian.org>  Thu, 12 Nov 2020 03:57:42 -0300

octave-optim (1.6.0-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibility level to 13
  * d/u/metadata: New file
  * d/clean: Remove src/*.bin files

 -- Rafael Laboissière <rafael@debian.org>  Wed, 29 Jul 2020 03:54:37 -0300

octave-optim (1.6.0-3) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 07 Nov 2019 18:49:47 -0300

octave-optim (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

  [ Rafael Laboissiere ]
  * d/copyright: Add copyright and license information for the AppStream file

  [ Sébastien Villemot ]
  * Add octave-parallel to Suggests, since optim can now take advantage of it
  * Bump S-V to 4.4.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Jul 2019 15:54:58 +0200

octave-optim (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 17 Apr 2019 17:24:04 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

# Recompile the info file (it has been cleaned by the pkg install), and then
# install it in the system-wide directory (after renaming it).
override_dh_auto_install:
	dh_auto_install
	( cd src ; ./configure ; make doc )
	mkdir -p debian/octave-optim/usr/share/info/
	cp doc/optim.info debian/octave-optim/usr/share/info/octave-optim.info

=== debian/watch ===
version=4
http://sf.net/octave/optim-(.+)\.tar\.gz
